/*
**************************************************************************
                                 description
                             --------------------
    copyright            : (C) 2003 by Andreas Zehender
    email                : zehender@kde.org
**************************************************************************

#include "pmpovray31format.h"

**************************************************************************
*                                                                        *
*  This program is free software; you can redistribute it and/or modify  *
*  it under the terms of the GNU General Public License as published by  *
*  the Free Software Foundation; either version 2 of the License, or     *
*  (at your option) any later version.                                   *
*                                                                        *
**************************************************************************/

#include "pmpovray31format.h"

#include "pmpovrayparser.h"
#include "pmoutputdevice.h"

#include <klocale.h>

PMPovray31Format::PMPovray31Format( )
{

}


PMPovray31Format::~PMPovray31Format( )
{

}

PMParser* PMPovray31Format::newParser( PMPart* part, QIODevice* dev ) const
{
   return new PMPovrayParser( part, dev );
}

PMParser* PMPovray31Format::newParser( PMPart* part, const QByteArray& data ) const
{
   return new PMPovrayParser( part, data );
}

PMSerializer* PMPovray31Format::newSerializer( QIODevice* dev ) const
{
   return new PMOutputDevice( dev );
}

PMRenderer* PMPovray31Format::newRenderer( PMPart* ) const
{
   // TODO
   return 0;
}

QString PMPovray31Format::mimeType( ) const
{
   return QString( "text/plain" );
}

QStringList PMPovray31Format::importPatterns( ) const
{
   QStringList result;
   result.push_back( QString( "*.pov *.inc|" )
                     + i18n( "POV-Ray 3.1 Files (*.pov, *.inc)" ) );
   return result;
}

QStringList PMPovray31Format::exportPatterns( ) const
{
   QStringList result;
   result.push_back( QString( "*.pov|" ) + i18n( "POV-Ray 3.1 Files (*.pov)" ) );
   result.push_back( QString( "*.ini|" ) + i18n( "POV-Ray 3.1 Include Files (*.pov)" ) );
   return result;

}
